Name: 		perl-SOAP-Lite
Version:	0.714
Release:	1%{?_dist_release}
Summary:	Client and server side SOAP implementation
License:	GPL+ or Artistic
Group:		Development/Libraries
URL: 		http://search.cpan.org/dist/SOAP-Lite/
Source0: 	http://search.cpan.org/CPAN/authors/id/B/BY/BYRNE/SOAP/SOAP-Lite-%{version}.tar.gz
Source1:        filter-requires-SOAP-Lite.sh
#Patch0:		SOAP-Lite-0.68-nil-value.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux

Requires:  	perl >= %(eval "`%{__perl} -V:version`"; echo $version)
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-Class-Inspector
BuildRequires:  perl(ExtUtils::MakeMaker)
Provides:	perl(SOAP::Transport::TCP)
BuildArch: 	noarch

#%define bogusreqs 'MQ\\|Jabber'
#%define bogusreqs perl.Net..Jabber.
#%global reqfilt sh -c '%{__perl_requires} | %{__grep} -Ev "%{bogusreqs}"'
#%define __perl_requires %{reqfilt}
#%define bogusreqs 'perl(MQClient::MQSeries)\
#perl(MQSeries)\
#perl(MQSeries::Message)\
#perl(MQSeries::Queue)\
#perl(MQSeries::QueueManager)\
#perl(Net::Jabber)'
#%global reqfilt sh -c "%{__perl_requires} | %{__grep} -Fv %{bogusreqs}"
#define __perl_requires %{reqfilt}
%define __find_requires %{SOURCE1}

%description
SOAP::Lite is a collection of Perl modules which provides a simple and
lightweight interface to the Simple Object Access Protocol (SOAP) both on
client and server side.

%prep
%setup -q -n SOAP-Lite-%{version}
#%%patch0 -p1

%build
%{__perl} Makefile.PL --noprompt INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'

#Items not yet in Extras
#find $RPM_BUILD_ROOT -type f -name JABBER* -exec rm -f {} ';'
#find $RPM_BUILD_ROOT -type f -name MQ* -exec rm -f {} ';'

chmod -R u+w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%check
make test

%files
%defattr(-,root,root,-)
# For license text(s), see the perl package.
%doc Changes README ReleaseNotes.txt
%{_bindir}/*pl
%{perl_vendorlib}/SOAP
%{perl_vendorlib}/Apache
%{perl_vendorlib}/IO
%{perl_vendorlib}/UDDI
%{perl_vendorlib}/XML
%{perl_vendorlib}/XMLRPC
%{_mandir}/man3/*
%{_mandir}/man1/*

%changelog
* Sat Mar 17 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.714-1
- new upstream release.
- build with perl-5.12.3 ( VineLinux:1267 )
- add Vendor and Distribution
- delete Patch0
- fixed Release
- add perl-Class-Inspector to BR
- add Provides

* Sat Nov 10 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.69-0vl1
- initial build for Vine Linux
- added filter-requires-SOAP-Lite.sh

* Thu Oct 18 2007 Mike McGrath <mmcgrath@redhat.com> - 0.68-5
- Fixed build requires

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.68-4.1
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Mon Mar 03 2007 Mike McGrath <mmcgrath@redhat.com> - 0.68-4
- bogus reqs diff

* Sat Jan 2 2007 Mike McGrath <imlinux@gmail.com> - 0.68-3
- Changed the way this package removes bogus reqs for EL4

* Sun Sep 10 2006 Mike McGrath <imlinux@gmail.com> - 0.68-1
- Rebuild

* Tue Jul 18 2006 Mike McGrath <imlinux@gmail.com> - 0.68-1
- New upstream source
- Patch provided for <value><nil/></value> issues

* Mon Mar 20 2006 Mike McGrath <imlinux@gmail.com> - 0.67-2
- Removed perl requirements that do not yet exist in Extras

* Sat Mar 18 2006 Mike McGrath <imlinux@gmail.com> - 0.67-1
- New Owner and new spec file

* Wed Oct 26 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.60a-3
- Fix build, doc permissions (#169821).

* Wed Apr 06 2005 Hunter Matthews <thm@duke.edu> 0.60a-2
- Review suggestions from José Pedro Oliveira

* Fri Mar 18 2005 Hunter Matthews <thm@duke.edu> 0.60a-1
- Initial packaging.

